# ``twisted`.`words`.`xish`.`xpath`.`BooleanValue``

class documentation

`class BooleanValue: (source)`

View In Hierarchy

Provide boolean XPath expression operators.

Method | `__init__` | Undocumented
Instance Variable | `lhs` | Left hand side expression of the operator.
Instance Variable | `op` | The operator. One of `'and'`, `'or'`.
Instance Variable | `rhs` | Right hand side expression of the operator.
Instance Variable | `value` | Reference to the method that will calculate the value of this expression given an element.
Method | `_booleanAnd` | Calculate boolean and of the given expressions given an element.
Method | `_booleanOr` | Calculate boolean or of the given expressions given an element.

def __init__(self, lhs, op, rhs): (source)

Undocumented

lhs = (source)
Left hand side expression of the operator.
op = (source)
The operator. One of `'and'`, `'or'`.
rhs = (source)
Right hand side expression of the operator.
value = (source)
Reference to the method that will calculate the value of this expression given an element.
def _booleanAnd(self, elem): (source)
Calculate boolean and of the given expressions given an element.

Parameters
elem | The element to calculate the value of the expression from.

def _booleanOr(self, elem): (source)
Calculate boolean or of the given expressions given an element.

Parameters
elem | The element to calculate the value of the expression from.